Subject: Re: bug#14582: 24.3.50.1; Strange overlay behavior, when window-start is inside an overlay.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Feb 2022 13:43:00 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 12 Feb 2022 23:53:25 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The fix for the problems originally reported here was
> > found, and it so far solves all the use cases presented here that
> > involve either folding or selective-display.  The fix handles the
> > potentially confusing display when folding or selective-display
> > settings are changed so that the previous window-start point winds up
> > being hidden.
> 
> Ok, we have introduced a new variable.  So far it is used nowhere in
> Emacs, and it's said to not turn it on by default.  Nothing has actually
> changed.  The recipe I had posted behaves the same.  Do I miss
> something?

Please feel free to submit changes to relevant modes and features to
use this new variable.  I use them only very infrequently, and am not
annoyed by the issues that started this bug report, so I'm not a good
candidate for suggesting such changes or testing them in Real Life.
(I thought as soon as the new variable is demonstrated to be able to
solve those issues, the patches to the relevant applications will
follow immediately, either by Evgeni or by you.)

> BTW, did you ever use folding?  I think not as often as I do, else you
> would have known the issue we are talking about.  My feedback was not
> meant to annoy you - I wanted to share my experience as a user.  Didn't
> know that that's irrelevant.

It was hardly perceived as irrelevant: I spent some non-trivial time
working on this, which I wouldn't do if I haven't thought this is
relevant and worth working on.

> > Bottom line: I think this bug should be closed, as the original issues
> > were all resolved.  If you disagree, I guess I'll let Lars close it in
> > about 10 years from now.
> 
> I don't even know what to respond to that.

Sadly, it looks like I can never disagree with you without annoying
you to the extreme.  Happens all the time.  What am I doing wrong?  Am
I not entitled to my own opinions about how things should be done in
Emacs?